//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
	using System.Data;
	using System.Data.SqlServerCe;
	using System.IO;
	using System.Reflection;
	using System.Collections.Generic;
	
    public partial class Screen2
    {
		
		void Screen2_Opened(System.Object sender, System.EventArgs e)
		{
			InitilizeComboBox();	
		}
		
		void cbTables_SelectionChanged(System.Object sender, System.EventArgs e)
		{
			if(cbTables.SelectedIndex != -1)
			{
				DataTable table = Globals.DatabaseFunctions.GetTableFromDB(cbTables.SelectedItem.ToString());
				table.TableName = cbTables.SelectedItem.ToString();
				InitilizeGrid(table);
			}
		}

		private void InitilizeComboBox()
		{
			foreach(string table in Globals.DatabaseFunctions.GetTableNames())
			{
				cbTables.Items.Add(table);
			}
			
			if(cbTables.Items.Count > 0)
			{
				cbTables.SelectedIndex = 0;
			}
		}

		
		private void InitilizeGrid(DataTable table)
		{
			DataGrid1.Font = new Font("Tahoma", 11, FontStyle.Regular);
			DataGrid1.TableStyles.Clear();
			DataGrid1.TableStyles.Add(AddCustomDataTableStyleAutomatic(table, 165));
			DataGrid1.DataSource = table;			
		}

		private DataGridTableStyle AddCustomDataTableStyleAutomatic(DataTable table, int columnWidth)
		{		
			
			DataGridTableStyle table_style = new DataGridTableStyle();
			table_style.MappingName = table.TableName;
			try
			{
				foreach (DataColumn column in table.Columns)
				{	
					DataGridColumnStyle colStyle = new DataGridTextBoxColumn();
					colStyle.MappingName = column.ColumnName;
					colStyle.HeaderText = column.ColumnName;
					if(column.ColumnName == "Id")
					{
						colStyle.Width = 0;
					}
					else
					{
						colStyle.Width = columnWidth;
					}
					table_style.GridColumnStyles.Add(colStyle);
				}
			}
			catch(Exception ex)
			{
				MessageBox.Show(ex.Message);
			}
			return table_style;
		}

		
		private void AddManualCustomDataTableStyle()
		{
			DataGridTableStyle table_style = new DataGridTableStyle();
			table_style.MappingName = "TrendDataLogger1";

			DataGridColumnStyle colStyleId = new DataGridTextBoxColumn();
			colStyleId.MappingName = "Id";
			colStyleId.HeaderText = "Id";
			colStyleId.Width = 0;

			DataGridTextBoxColumn column1Style = new DataGridTextBoxColumn();
			column1Style.MappingName = "Time";
			column1Style.HeaderText = "Time stamp";
			column1Style.Width = 150;
			
			DataGridTextBoxColumn column2Style = new DataGridTextBoxColumn();
			column2Style.MappingName = "LogItem1";
			column2Style.HeaderText = "RPM";
			column2Style.Width = 150;

			DataGridTextBoxColumn column3Style = new DataGridTextBoxColumn();
			column3Style.MappingName = "LogItem2";
			column3Style.HeaderText = "Temperature";
			column3Style.Width = 150;

			DataGridTextBoxColumn column4Style = new DataGridTextBoxColumn();
			column4Style.MappingName = "LogItem3";
			column4Style.HeaderText = "Pressure";
			column4Style.Width = 150;

			DataGridTextBoxColumn column5Style = new DataGridTextBoxColumn();
			column5Style.MappingName = "LogItem4";
			column5Style.HeaderText = "Error code";
			column5Style.Width = 150;
				
			table_style.GridColumnStyles.Add(colStyleId);
			table_style.GridColumnStyles.Add(column1Style);
			table_style.GridColumnStyles.Add(column2Style);
			table_style.GridColumnStyles.Add(column3Style);
			table_style.GridColumnStyles.Add(column4Style);
			table_style.GridColumnStyles.Add(column5Style);
			
			DataGrid1.TableStyles.Clear();
			DataGrid1.TableStyles.Add(table_style);	
		}
    }
}
